<!--in case the movie the user is searching for is not found-->
<ng-template #notFound>
  <div class="container" id="ifnone">
    <p>Film koji trazite trenutno nije u ponudi. :/</p>
  </div>
</ng-template>

<!--search fields-->
<div class="container">
  <table>
    <tbody>
      <tr>
        <td>
          <label for="searchByName">Nadji film po nazivu: </label>
        </td>
        <td class="td-left">
          <input type="text" [formControl]="filter" placeholder="Deo naziva filma" name="searchByName">
        </td>
      </tr>
      <br>
      <br>
      <tr>
        <td>
          <label for="searchByGenre">Nadji film po žanru: </label>
        </td>
        <td class="td-left">
          <input type="text" [formControl]="filter2" placeholder="žanr" name="searchByGenre">
        </td>
      </tr>
    </tbody>
  </table>
</div>

<!--movies-->
<div *ngIf="(filteredMovies$| async)?.length > 0; else notFound">
  <div *ngFor="let movie of filteredMovies$ | async; let indeks = index">
    <hr *ngIf="indeks!=0">
    <app-movie  [movie]='movie'></app-movie>
  </div>
</div>
